Skip to Content
veriom

Decide question

PATCH
/v1/workspaces/{workspace_id}/discovery/questions/{question_id}

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
question_id*Question Id
Formatuuid

Request Body

application/json
  1. body
action*Action
Value in"defer""skip""reopen"
defer_days?Defer Days
Range1 <= value <= 90
Default7
reason*Reason
Length3 <= length <= 1000

Response Body

Successful Response

application/json
  1. response
category*Category
deferred_until*|null
field_key*Field Key
generated_from*Generated From
id*Id
Formatuuid
priority*Priority
prompt*Prompt
question_key*Question Key
state*State
why_asked*Why Asked
Example Request
curl -X PATCH 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/discovery/questions/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "action": "defer",  "reason": "string"}'
Example Response
{  "category": "string",  "deferred_until": "2019-08-24T14:15:22Z",  "field_key": "string",  "generated_from": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "priority": 0,  "prompt": "string",  "question_key": "string",  "state": "string",  "why_asked": "string"}